# ScePspUnion32 Union Reference

`#include <sdk/base/psptypes.h>`

## Data Fields

unsigned int | ui
int | i
unsigned short | us [2]
short int | s [2]
unsigned char | uc [4]
char | c [4]
float | f
ScePspRGBA8888 | rgba8888
ScePspRGBA4444 | rgba4444 [2]
ScePspRGBA5551 | rgba5551 [2]
ScePspRGB565 | rgb565 [2]

## Field Documentation

char ScePspUnion32::c[4]

float ScePspUnion32::f

int ScePspUnion32::i

ScePspRGB565 ScePspUnion32::rgb565[2]

ScePspRGBA4444 ScePspUnion32::rgba4444[2]

ScePspRGBA5551 ScePspUnion32::rgba5551[2]

ScePspRGBA8888 ScePspUnion32::rgba8888

short int ScePspUnion32::s[2]

unsigned char ScePspUnion32::uc[4]

unsigned int ScePspUnion32::ui

unsigned short ScePspUnion32::us[2]

The documentation for this union was generated from the following file:

- sdk/base/psptypes.h